//
//  ViewController.m
//  GoogleChart
//
//  Created by Drew Breunig on 11/4/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "ViewController.h"
#import "MSGoogleChartUtility.h"
#import "MSGoogleChartDataSet.h"

@implementation ViewController
@synthesize webView;

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
  [super viewDidLoad];
	
  MSGoogleChartDataSet *setOne = [[MSGoogleChartDataSet alloc] init];
  setOne.values = [NSArray arrayWithObjects:[NSNumber numberWithFloat:39.0],
                   [NSNumber numberWithFloat:124.4],
                   [NSNumber numberWithFloat:-27.3],
                   [NSNumber numberWithFloat:14],
                   [NSNumber numberWithFloat:75.34],
                   [NSNumber numberWithFloat:12.34],
                   [NSNumber numberWithFloat:-14.2],
                   [NSNumber numberWithFloat:39.0], nil];
  setOne.title = @"Test Data Set";
  setOne.color = [UIColor redColor];
  
  MSGoogleChartDataSet *setTwo = [[MSGoogleChartDataSet alloc] init];
  setTwo.values = [NSArray arrayWithObjects:[NSNumber numberWithFloat:39.0],
                   [NSNumber numberWithFloat:34.9],
                   [NSNumber numberWithFloat:27.3],
                   [NSNumber numberWithFloat:14],
                   [NSNumber numberWithFloat:100],
                   [NSNumber numberWithFloat:93],
                   [NSNumber numberWithFloat:50],
                   [NSNumber numberWithFloat:0], nil];
  setTwo.title = @"Makeshift";
  setTwo.color = [UIColor blueColor];
  
  MSGoogleChartUtility *gcu = [[MSGoogleChartUtility alloc] initWithChartType:MSGoogleChartTypeBarHorizontalGrouped];
  [gcu addDataSet:setOne];
  [gcu addDataSet:setTwo];
  gcu.chartWidth = self.webView.bounds.size.width;
  gcu.chartHeight = self.webView.bounds.size.height;
  gcu.chartTitle = @"Test Chart";
  gcu.chartTitleColor = [UIColor purpleColor];
  
  NSURLRequest *request = [NSURLRequest requestWithURL:[gcu generateUrl]];
  [self.webView loadRequest:request];
  
  NSLog(@"URL: %@", [[gcu generateUrl] description]);
  
}

- (void)viewDidUnload
{
  [self setWebView:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
  return YES;
}

- (IBAction)reloadChart:(id)sender {
  MSGoogleChartDataSet *setOne = [[MSGoogleChartDataSet alloc] init];
  setOne.values = [NSArray arrayWithObjects:[NSNumber numberWithFloat:39.0],
                   [NSNumber numberWithFloat:124.4],
                   [NSNumber numberWithFloat:27.3],
                   [NSNumber numberWithFloat:14],
                   [NSNumber numberWithFloat:75.34],
                   [NSNumber numberWithFloat:12.34],
                   [NSNumber numberWithFloat:14.2],
                   [NSNumber numberWithFloat:39.0], nil];
  //setOne.title = @"Test Data Set";
  //setOne.color = [UIColor redColor];
  
  MSGoogleChartDataSet *setTwo = [[MSGoogleChartDataSet alloc] init];
  setTwo.values = [NSArray arrayWithObjects:[NSNumber numberWithFloat:39.0],
                   [NSNumber numberWithFloat:34.9],
                   [NSNumber numberWithFloat:27.3],
                   [NSNumber numberWithFloat:14],
                   [NSNumber numberWithFloat:100],
                   [NSNumber numberWithFloat:93],
                   [NSNumber numberWithFloat:50],
                   [NSNumber numberWithFloat:0], nil];
  setTwo.title = @"Makeshift";
  setTwo.color = [UIColor blueColor];
  
  MSGoogleChartUtility *gcu = [[MSGoogleChartUtility alloc] initWithChartType:MSGoogleChartTypePie];
  [gcu addDataSet:setOne];
  [gcu addDataSet:setTwo];
  gcu.chartWidth = self.webView.bounds.size.width;
  gcu.chartHeight = self.webView.bounds.size.height;
  gcu.chartTitle = @"Test Chart";
  gcu.chartTitleColor = [UIColor purpleColor];
  
  NSURLRequest *request = [NSURLRequest requestWithURL:[gcu generateUrl]];
  [self.webView loadRequest:request];
  
  NSLog(@"URL: %@", [[gcu generateUrl] description]);
}

@end
